JBoss Native SVN: r3300 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2014-05-19 06:39:24 -0400 (Mon, 19 May 2014)
New Revision: 3300
Modified:
trunk/build/unix/buildbin.TC7.sh
Log:
Add websocket tests.
Modified: trunk/build/unix/buildbin.TC7.sh
===================================================================
--- trunk/build/unix/buildbin.TC7.sh 2014-05-16 07:40:10 UTC (rev 3299)
+++ trunk/build/unix/buildbin.TC7.sh 2014-05-19 10:39:24 UTC (rev 3300)
@@ -96,7 +96,23 @@
sed "/org.apache.jasper.servlet.JspServlet/r $HOME/tcks/conf/web.xml.jsp" $native_sources/output/build/conf/web.xml > $$.xml
mv $$.xml $native_sources/output/build/conf/web.xml
+WDIR=/home/hudson/TCK7/javaeetck/dist/com/sun/ts/tests/websocket
+for file in `find $WDIR -name *.war`
+do
+ FILE=`basename $file`
+ rm -rf TMP
+ mkdir TMP
+ cd TMP
+ jar xvf $file
+ rm META-INF/MANIFEST.MF
+ jar cvf $FILE *
+ cp $FILE $native_sources/output/build/webapps
+ cd -
+done
+
# Starting tomcat...
+JAVA_HOME=$JAVA6_HOME
+export JAVA_HOME
rm -rf $native_sources/output/build/work
rm -rf $native_sources/output/build/logs
mkdir $native_sources/output/build/logs
@@ -135,12 +151,48 @@
stopTomcat
exit 1
fi
+
echo ""
echo "Stopping TC7..."
echo ""
stopTomcat
+echo "WEBSOCKET TCK7"
echo ""
+JAVA_HOME=$JAVA7_HOME
+export JAVA_HOME
+export TS_HOME=/home/hudson/TCK7/javaeetck
+export ANT_HOME=$TS_HOME/tools/ant
+cp $TS_HOME/bin/ts.jte.eap6 $TS_HOME/bin/ts.jte
+WRID=$TS_HOME/src/com/sun/ts/tests/websocket
+
+# wait for TC7 to stop and restart.
+sleep 20
+(cd $native_sources/output/build; bin/startup.sh)
+echo ""
+echo "Waiting for Tomcat to start"
+sleep 20
+
+(cd $WRID; ant runclient || exit 1)
+if [ $? -ne 0 ]; then
+ echo "Failed test failed..."
+ stopTomcat
+ exit 1
+else
+ (cd $WRID; ant report || exit 1)
+ if [ $? -ne 0 ]; then
+ echo "Failed build test report failed..."
+ stopTomcat
+ exit 1
+ fi
+fi
+
+echo ""
+echo "Stopping TC7..."
+echo ""
+stopTomcat
+
+echo ""
echo "Testing with native"
echo ""
# find the native we need to download for the tests.